Bug 173448 - [patch] ftw.3 manual page example addition
Summary: [patch] ftw.3 manual page example addition
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2012-11-07 18:30 UTC by Fernando Apesteguía
Modified: 2020-03-19 10:33 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (1.09 KB, patch)
2012-11-07 18:30 UTC, Fernando Apesteguía
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2012-11-07 18:30:00 UTC
While having a look at the ftw(3) man page, I noticed we lacked an example. The attached patch adds a small yet clear example on how to use this function.

Fix: Apply the attached patch if it is found to be suitable.

Patch attached with submission follows:
How-To-Repeat: man ftw
Comment 1 Giorgos Keramidas freebsd_committer 2013-02-20 10:00:51 UTC
Responsible Changed
From-To: freebsd-doc->keramida

I'll take care of this.
Comment 2 Fernando Apesteguía freebsd_committer 2014-02-21 17:30:51 UTC
Any progress on this?
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2015-03-10 03:03:51 UTC
Release to wild.
Comment 4 Fernando Apesteguía freebsd_committer 2015-03-10 18:02:12 UTC
(In reply to Mark Linimon from comment #3)

Wow... it really took a long time to reach the starting point again... :)

It's a really small patch but I think it improves the documentation. I would be really glad to modify it or discuss how to improve it.
Comment 5 Mateusz Piotrowski freebsd_committer 2019-09-22 12:31:57 UTC
https://reviews.freebsd.org/D21750
Comment 6 commit-hook freebsd_committer 2020-03-05 14:53:27 UTC
A commit references this bug:

Author: 0mp
Date: Thu Mar  5 14:52:24 UTC 2020
New revision: 358674
URL: https://svnweb.freebsd.org/changeset/base/358674

Log:
  ftw.3: Add examples

  PR:		173448 [1]
  Submitted by:	fernape@ (previous version) [1]
  Reviewed by:	jilles
  Approved by:	bcr (mentor)
  MFC after:	2 weeks
  Differential Revision:	https://reviews.freebsd.org/D21750

Changes:
  head/lib/libc/gen/ftw.3
Comment 7 Mateusz Piotrowski freebsd_committer 2020-03-05 14:54:05 UTC
Finally, committed (in a slightly different form but still)! Thanks!
Comment 8 Fernando Apesteguía freebsd_committer 2020-03-05 16:37:01 UTC
(In reply to Mateusz Piotrowski from comment #7)

Hey! I forgot about this one. Better late than never :-)

Thank you!
Comment 9 commit-hook freebsd_committer 2020-03-19 10:32:31 UTC
A commit references this bug:

Author: 0mp
Date: Thu Mar 19 10:31:47 UTC 2020
New revision: 359127
URL: https://svnweb.freebsd.org/changeset/base/359127

Log:
  MFC 358674, 358916: Add examples to ftw.3

  ftw.3: Add examples

  PR:		173448 [1]
  Submitted by:	fernape@ (previous version) [1]
  Reviewed by:	jilles
  Approved by:	bcr (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21750

  ftw.3: Follow style(9) in the example

  Reported by:	oshogbo
  Approved by:	bcr (mentor)
  Differential Revision:	https://reviews.freebsd.org/D24043

Changes:
_U  stable/12/
  stable/12/lib/libc/gen/ftw.3
Comment 10 commit-hook freebsd_committer 2020-03-19 10:33:33 UTC
A commit references this bug:

Author: 0mp
Date: Thu Mar 19 10:32:39 UTC 2020
New revision: 359128
URL: https://svnweb.freebsd.org/changeset/base/359128

Log:
  MFC 358674, 358916:

  ftw.3: Add examples

  PR:		173448 [1]
  Submitted by:	fernape@ (previous version) [1]
  Reviewed by:	jilles
  Approved by:	bcr (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21750

  ftw.3: Follow style(9) in the example

  Reported by:	oshogbo
  Approved by:	bcr (mentor)
  Differential Revision:	https://reviews.freebsd.org/D24043

Changes:
_U  stable/11/
  stable/11/lib/libc/gen/ftw.3